Reinforcement HelicalRebar: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(24 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:21-->
<!--T:21-->
{{Docnav
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar_Circular_ColumnReinforcement|Circular Column Reinforcement]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}
|[[Reinforcement_BentShapeRebar|BentShapeRebar]]
|[[Reinforcement_ColumnRebars|ColumnRebars]]
|[[Reinforcement_Workbench|Reinforcement]]
|IconL=Reinforcement_BentShapeRebar.svg
|IconR=Reinforcement_ColumnRebars.svg
|IconC=Reinforcement_Workbench.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Arch Rebar Helical
|Name=Reinforcement HelicalRebar
|MenuLocation=Arch → Rebar tools
|MenuLocation=Arch → Rebar tools → Helical Rebar<br>3D/BIM → Reinforcement tools → Helical Rebar
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
|Workbenches=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup Rebar]], [[Arch_Rebar_ColumnReinforcement|Column Reinforcement]]
|Version=0.17
|Version=0.17
|SeeAlso=
}}
}}


Line 16: Line 24:


<!--T:3-->
<!--T:3-->
The [[Arch Rebar Helical|Helical Rebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure]] object.
The [[Reinforcement_HelicalRebar|Reinforcement HelicalRebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure|Arch Structure]] object.


<!--T:16-->
<!--T:16-->
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


</translate>
</translate>
[[Image:Arch_Rebar_Helical_example.png|80px]]
: [[Image:Arch_Rebar_Helical_example.png|80px]]
<translate>
<translate>
<!--T:4-->
<!--T:4-->
{{Caption|One continuous helical reinforcement bar inside an [[Arch Structure]]}}
{{Caption|One continuous helical reinforcement bar inside an [[Arch Structure|Arch Structure]]}}


==How to use== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical|Helical Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Reinforcement_HelicalRebar.svg|16px]] [[Reinforcement_HelicalRebar|Helical Rebar]]}} from the rebar tools.
# A task panel will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar.
# Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either amount or spacing.
# Select the mode of distribution either 'Amount' or 'Spacing'.
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
#* If 'Spacing' is selected, a user can also opt for [[Reinforcement_Custom_Spacing|custom spacing]].
# Pick selected face is used to verify or change the face for rebar distribution.
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.


</translate>
<!--T:17-->
[[Image:HelicalRebarDialog.png|250px]]
[[Image:HelicalRebarDialog.png|250px]]
<translate>
{{Caption|Taskview panel for the Arch Rebar Helical tool}}
<!--T:17-->
{{Caption|Task panel for the tool}}


==Properties== <!--T:7-->
==Properties== <!--T:7-->
Line 55: Line 65:


==Scripting== <!--T:9-->
==Scripting== <!--T:9-->

{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].
<!--T:26-->
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:10-->
<!--T:10-->
The Helical Rebar tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Reinforcement HelicalRebar tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 66: Line 79:


<!--T:11-->
<!--T:11-->
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* {{incode|s_cover}}, {{incode|b_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
* {{incode|s_cover}}, {{incode|b_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
Line 73: Line 86:


=== Example === <!--T:18-->
=== Example === <!--T:18-->

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 86: Line 100:
<translate>
<translate>


=== Edition of the rebar === <!--T:19-->
=== Edition of the rebar === <!--T:27-->

<!--T:19-->
You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function


Line 107: Line 123:
}}
}}
<translate>
<translate>
<!--T:15-->
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar_Circular_ColumnReinforcement|Circular Column Reinforcement]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}


<!--T:22-->
{{Arch Tools navi}}


<!--T:23-->
<!--T:15-->
{{Docnav
{{Userdocnavi}}
|[[Reinforcement_BentShapeRebar|BentShapeRebar]]
|[[Reinforcement_ColumnRebars|ColumnRebars]]
|[[Reinforcement_Workbench|Reinforcement]]
|IconL=Reinforcement_BentShapeRebar.svg
|IconR=Reinforcement_ColumnRebars.svg
|IconC=Reinforcement_Workbench.svg
}}


<!--T:24-->
[[Category:Reinforcement]]
</translate>
</translate>
[[Category:External_Command_Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:41, 9 March 2024

Reinforcement HelicalRebar

Menu location
Arch → Rebar tools → Helical Rebar
3D/BIM → Reinforcement tools → Helical Rebar
Workbenches
Reinforcement, Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
None

Description

The Reinforcement HelicalRebar tool allows the user to create a continuous helical reinforcing bar inside an Arch Structure object.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

One continuous helical reinforcement bar inside an Arch Structure

Usage

  1. Select any face of a previously created Arch Structure object.
  2. Then select Helical Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Properties

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement HelicalRebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)